Bug 577902 - tdb-tools subpackage conflicts with samba
Summary: tdb-tools subpackage conflicts with samba
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: libtdb
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-29 16:20 UTC by Stephen Gallagher
Modified: 2010-08-13 22:38 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-04-12 12:43:40 UTC


Attachments (Terms of Use)

Description Stephen Gallagher 2010-03-29 16:20:06 UTC
Description of problem:
The tdb-tools subpackage contains binaries and manpages that are also provided by the samba package. EPEL packages should not conflict with core packages.

Version-Release number of selected component (if applicable):
libtdb-1.2.1-2.el5

How reproducible:
Every time

Steps to Reproduce:
1. Install samba
2. Attempt to install tdb-tools
  
Actual results:
Conflict

Expected results:
There should be no tdb-tools subpackage, the samba package already provides this functionality.

Additional info:

Comment 1 Fedora Update System 2010-04-06 15:03:56 UTC
libtdb-1.2.1-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libtdb-1.2.1-4.el5

Comment 2 Fedora Update System 2010-04-07 22:17:39 UTC
libtdb-1.2.1-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libtdb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libtdb-1.2.1-4.el5

Comment 3 Stephen Gallagher 2010-04-12 12:43:40 UTC
RHEL 5.5 has been released with its own tdb-tools package provided by the samba3x SRPM. As a result, the only safe course of action is to leave this package available as an update to samba3x's tdb-tools.

The fix that had been proposed would have essentially downgraded libtdb's copy of tdb-tools and forced the installation of the 'samba' binary RPM, but this would now cause conflicts with samba3x.

Comment 4 Fedora Update System 2010-08-13 22:38:08 UTC
libtdb-1.2.1-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.